import pygame as pg

from drawable import Drawable


def get_sprite(flipped):
    # Lataa kuva, convert_alpha hoitaa läpinäkyvät pikselit
    sprite = pg.image.load('pillar.png').convert_alpha()

    # Rajaa kuva näkyviin pikseleihin
    sprite = sprite.subsurface(sprite.get_bounding_rect())

    # Kutista kuvaa
    rect = sprite.get_rect()
    aspect_ratio = rect.h / rect.w
    new_width = 150
    sprite = pg.transform.scale(sprite, (new_width, new_width*aspect_ratio))

    if flipped:
        return pg.transform.flip(sprite, False, True)

    return sprite


VELOCITY = 3


class Pillar(Drawable):
    def __init__(self, flipped, top_y, left_x):
        super().__init__(get_sprite(flipped))

        y = top_y
        if flipped:
            y -= self.rect.h

        self.rect.move_ip(left_x, y)

    def move(self):
        self.rect.move_ip((-VELOCITY, 0))
