import pygame as pg


def get_tirppa():
    tirppa = pg.image.load('flappy_bird.png').convert_alpha()
    tirppa = tirppa.subsurface(tirppa.get_bounding_rect())
    rect = tirppa.get_rect()
    aspect_ratio = rect.h / rect.w
    new_width = 100
    tirppa = pg.transform.scale(tirppa, (new_width, new_width*aspect_ratio))

    return tirppa


GRAVITY = 0.2


def main():
    pg.init()

    screen = pg.display.set_mode((800, 600))

    tirppa = get_tirppa()
    tirppa_rect = tirppa.get_rect()

    clock = pg.time.Clock()

    velocity = 0

    while True:
        for event in pg.event.get():
            if event.type == pg.QUIT:
                return
            if event.type == pg.KEYDOWN:
                if event.key == pg.K_SPACE:
                    velocity -= 5

        tirppa_rect.move_ip(0, velocity)
        velocity += GRAVITY

        screen.fill(pg.color.Color(0, 0, 0))
        screen.blit(tirppa, tirppa_rect)
        pg.display.flip()

        clock.tick(60)


if __name__ == "__main__":
    main()
